petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecTaggerType

String with the name of a VecTagger type

### Synopsis

    typedef const char* VecTaggerType;
    /* tag where the vector values are in a box of explicitly defined values */
    #define VECTAGGERABSOLUTE   "absolute"
    /* tag where the vector values are in a box of values relative to the set of all values in the vector */
    #define VECTAGGERRELATIVE   "relative"
    /* tag where the vector values are in a relative range of the *cumulative distribution* of values in the vector */
    #define VECTAGGERCDF        "cdf"
    /* tag a vector as the union of other tags */
    #define VECTAGGEROR         "or"
    /* tag a vector as the intersection of other tags */
    #define VECTAGGERAND        "and"

### Level

advanced

### Location

src/vec/vscat/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages